org.eclipse.gef4.dot.internal.dot

## Class DotAst

- java.lang.Object
- - org.eclipse.gef4.dot.internal.dot.DotAst

    public final class DotAst
    extends java.lang.Object

Creation and access to the parsed object tree.

### Constructor Summary

Constructors
Constructor and Description
`DotAst(java.lang.String dotString)`

### Method Summary

Methods
`java.util.List<java.lang.String>` `errors()`
`java.lang.String` `graphName()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DotAst

    public DotAst(java.lang.String dotString)

Parameters:
  `dotString` - The DOT string to parse

### Method Detail

#### graphName

    public java.lang.String graphName()

Parameters:
  `dotFile` - The DOT file to parse
Returns:
  The name of the DOT graph described in the given file

#### errors

    public java.util.List<java.lang.String> errors()

Returns:
  The errors reported by the parser when parsing the given file

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`